# Get jobs

Retrieves a list of jobs.

Endpoint: GET /job/list
Version: 3
Security: ApiKeyAuth

## Response 200 fields (application/json):

  - `jobs` (array, required)

  - `jobs.cpu_time` (integer, required)

  - `jobs.created_at` (string, required)
    Datetime in custom format (`2020-12-31 11:22:33 -0500` or `2020-12-31 11:22:33 UTC` for UTC)
    Example: 2020-12-31 11:22:33 UTC

  - `jobs.database` (string, required)
    database name

  - `jobs.duration` (integer, required)
    Duration
    Example: 10

  - `jobs.end_at` (any, required)

  - `jobs.hive_result_schema` (string, required)
    the schema for the job's result table

  - `jobs.job_id` (string, required)
    unique identifier of job
    Example: 19

  - `jobs.linked_result_export_job_id` (any, required)

  - `jobs.num_records` (integer, required)
    the number of records in the result. Will be `null` until job has finished, and may not be set for all query types
    Example: 100

  - `jobs.organization` (string, required)
    always "null"

  - `jobs.priority` (integer, required)
    job execution priority
    Example: 0

  - `jobs.query` (any, required)

  - `jobs.query.in` (object)

  - `jobs.query.in.connection_prop` (string)
    Example: connection_prop

  - `jobs.query.in.connection_secret` (string)
    Example: secret

  - `jobs.query.in.basic_prop` (string)
    Example: basic

  - `jobs.query.in.basic_secret` (string)
    Example: secret

  - `jobs.query.in.advanced_prop` (string)
    Example: advanced

  - `jobs.query.in.advanced_secret` (string)
    Example: secret

  - `jobs.query.in.type` (string)
    Example: some_type

  - `jobs.query.in.td_authentication_id` (integer)
    Example: 1234

  - `jobs.query.filters` (array)

  - `jobs.query.exec` (object)

  - `jobs.query.exec.type` (string)
    Example: some_type

  - `jobs.query.exec.basic_prop` (string)
    Example: basic

  - `jobs.query.exec.secret_prop` (string)
    Example: secret

  - `jobs.query.out` (object)

  - `jobs.query.out.type` (string)
    Example: some_type

  - `jobs.query.out.mode` (string)
    Example: mode

  - `jobs.query.out.plazma_dataset` (string)
    Example: plazma

  - `jobs.query.out.time_column` (string)
    Example: time

  - `jobs.result` (string)
    URL of the result output destination

  - `jobs.result_export_target_job_id` (any, required)

  - `jobs.result_size` (integer, required)
    size in bytes of the job's result, in `msgpack.gz` format
    Example: 1048576

  - `jobs.retry_limit` (integer, required)
    automatically retry this many times on failure
    Example: 3

  - `jobs.start_at` (any, required)

  - `jobs.status` (string, required)
    current status of the job
    Enum: "queued", "running", "killed", "success", "error"

  - `jobs.type` (string, required)
    Example: presto

  - `jobs.url` (string, required)

  - `jobs.user_name` (string, required)
    user's full name or email
    Example: Treasure Data

  - `count` (integer, required)

  - `from` (integer, required)

  - `to` (integer, required)

